Debian Bug report logs - #695370
dpkg-cross: sets PKG_CONFIG_LIBDIR rather than telling cmake about a cross pkg-config executable

version graph

Package: dpkg-cross; Maintainer for dpkg-cross is Debian Embedded Group <debian-embedded@lists.debian.org>; Source for dpkg-cross is src:dpkg-cross.

Reported by: Colin Watson <cjwatson@ubuntu.com>

Date: Fri, 7 Dec 2012 16:30:01 UTC

Severity: normal

Tags: patch

Found in version dpkg-cross/2.6.7

Fixed in version dpkg-cross/2.6.9

Done: Neil Williams <codehelp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Group <debian-embedded@lists.debian.org>:
Bug#695370; Package dpkg-cross. (Fri, 07 Dec 2012 16:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@ubuntu.com>:
New Bug report received and forwarded. Copy sent to Debian Embedded Group <debian-embedded@lists.debian.org>. (Fri, 07 Dec 2012 16:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@ubuntu.com>
To: submit@bugs.debian.org
Subject: dpkg-cross: sets PKG_CONFIG_LIBDIR rather than telling cmake about a cross pkg-config executable
Date: Fri, 7 Dec 2012 16:27:23 +0000
Package: dpkg-cross
Version: 2.6.7
Severity: normal
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu ubuntu-patch raring

I noticed that /etc/dpkg-cross/cmake/CMakeCross.txt sets
PKG_CONFIG_LIBDIR.  Once the wrapper script from #631275 lands (or for
anyone who's using that already), it's better to use the wrapper: this
also has the effect of using the appropriate multiarch pkg-config paths.
The following patch should make this work without breaking previous
behaviour.

Index: config/cmake/CMakeCross.txt
===================================================================
--- config/cmake/CMakeCross.txt	(revision 8410)
+++ config/cmake/CMakeCross.txt	(working copy)
@@ -24,7 +24,15 @@
   MESSAGE("CROSS COMPILING for ${CMAKE_C_COMPILER}")
   INCLUDE_DIRECTORIES(BEFORE ${CMAKE_FIND_ROOT_PATH}/include)
   #Make pkg-config look in the right place
-  SET(ENV{PKG_CONFIG_LIBDIR} ${CMAKE_FIND_ROOT_PATH}/lib/pkgconfig/)
+  FIND_PROGRAM(DPKG_CROSS_PKG_CONFIG $ENV{DEB_HOST_GNU_TYPE}-pkg-config)
+  IF (DPKG_CROSS_PKG_CONFIG)
+    # for UsePkgConfig
+    SET(PKGCONFIG_EXECUTABLE ${DPKG_CROSS_PKG_CONFIG})
+    # for FindPkgConfig
+    SET(PKG_CONFIG_EXECUTABLE ${DPKG_CROSS_PKG_CONFIG})
+  ELSE ()
+    SET(ENV{PKG_CONFIG_LIBDIR} ${CMAKE_FIND_ROOT_PATH}/lib/pkgconfig/)
+  ENDIF ()
 ELSE (CMAKE_CROSSCOMPILING)
   MESSAGE("Native Compile")
 ENDIF (CMAKE_CROSSCOMPILING)

Thanks,

-- 
Colin Watson                                       [cjwatson@ubuntu.com]



Added tag(s) pending. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Sat, 08 Dec 2012 11:24:10 GMT) Full text and rfc822 format available.

Reply sent to Neil Williams <codehelp@debian.org>:
You have taken responsibility. (Sun, 16 Dec 2012 13:21:07 GMT) Full text and rfc822 format available.

Notification sent to Colin Watson <cjwatson@ubuntu.com>:
Bug acknowledged by developer. (Sun, 16 Dec 2012 13:21:08 GMT) Full text and rfc822 format available.

Message #12 received at 695370-close@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 695370-close@bugs.debian.org
Subject: Bug#695370: fixed in dpkg-cross 2.6.9
Date: Sun, 16 Dec 2012 13:17:27 +0000
Source: dpkg-cross
Source-Version: 2.6.9

We believe that the bug you reported is fixed in the latest version of
dpkg-cross, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 695370@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Neil Williams <codehelp@debian.org> (supplier of updated dpkg-cross package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 08 Dec 2012 10:20:43 +0000
Source: dpkg-cross
Binary: dpkg-cross libdebian-dpkgcross-perl
Architecture: source all
Version: 2.6.9
Distribution: experimental
Urgency: low
Maintainer: Debian Embedded Group <debian-embedded@lists.debian.org>
Changed-By: Neil Williams <codehelp@debian.org>
Description: 
 dpkg-cross - tools for cross compiling Debian packages
 libdebian-dpkgcross-perl - functions to aid cross-compiling Debian packages
Closes: 695369 695370
Changes: 
 dpkg-cross (2.6.9) experimental; urgency=low
 .
   * Fix cmake integration use of variables and add explicit
     support for g++. (Closes: #695369)
   * Tell cmake about a cross pkg-config executable. (Closes:
     #695370)
   * Add qmake cross-building support.
Checksums-Sha1: 
 d85283c4c9842f68fefa7e4deb84e14b1781be2d 1942 dpkg-cross_2.6.9.dsc
 3519315b5a102f0b0f962ec2041cbf5173a644f5 77942 dpkg-cross_2.6.9.tar.gz
 c1ed169a07dfcba188f15f753e88d135ae375276 55588 dpkg-cross_2.6.9_all.deb
 dd55c214df5c0a27b6d0d7397d0ffd47bb2ae40b 29456 libdebian-dpkgcross-perl_2.6.9_all.deb
Checksums-Sha256: 
 b50a67265c83f626c6e5275ad9262cbfb743459ca47f589f1040714b070a0d96 1942 dpkg-cross_2.6.9.dsc
 38728c76394ce90d7716e9001cc5d21e9b1e7383c28afca6c1eb88b87d97ae36 77942 dpkg-cross_2.6.9.tar.gz
 49ccbcf74852b9807ed75eb2ec9700e84f1e788804958d26e1b46b33383a3bc3 55588 dpkg-cross_2.6.9_all.deb
 503f645bf3158c970f158d4a40a982f171177fc756cb4d88c70b76eaf85c0bbb 29456 libdebian-dpkgcross-perl_2.6.9_all.deb
Files: 
 40db9ef20f5603b2ac084417c12da457 1942 utils extra dpkg-cross_2.6.9.dsc
 859ea6bf8818676525c9825eb2476d11 77942 utils extra dpkg-cross_2.6.9.tar.gz
 d22ad27208ac65079c496883e5d788f3 55588 utils extra dpkg-cross_2.6.9_all.deb
 839b5cad468bf07dcdec4f6ca471893e 29456 perl extra libdebian-dpkgcross-perl_2.6.9_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQzchxAAoJEPFn5DyBQ7aCXHgQAKgSLlAUYdWqwpcLced4GbJA
cxAQB1LrhKx5xIs9x7WbaOPE+O/YiAGE6ZLq1A0Pguf4cWMb22/VgV94Af3xTdqb
XH8FEe5hqdOvif9eSULiVCHS7Zi2b5E/UCruQhUZdZzJFnFxlObKNwAqaqTT1Zhf
uT1WCCK3lKx9rRxpwniJeUNVfqFhezAN4wELHvWJRy/AZmmrJlA1w9jtpsSdgCso
uWouHV0unBx9FhOmLAJycYUHx0O02qgIUon6ZTJm827L4GkXWD7fvSHKZe0Z+xhx
JuEVelxCJrEmIeoRgD9FeAV07PsDvvgNEv4HSJ1ujXg3rmI2o9xBLVJdduhHsOrE
63SxOAJT0kwR9xFGUUaquFBS8Xfv0wKZTFdX2Saj0qKH+Ey1D6OBIm3xBTrXtZRe
Z2fI0bEGk4j53XtY2q01ZF61Q1YnsbZFrHh5tZSXxyzNWWxSVBUnPZ3WhgQzusei
8yb3MkyXa1VYc1wT80PpSsa45O0PG9DW2BkWEYvXiTcyCH+CbU6omnmUcBC8LScK
02V/RBYSe6Evwqa5vIsWR0sG1n3iavEkzwcrtoSC2HRLAlWkdR93fiRIYe02uGOv
GsMBwr18aKorngsJz66YO0225HGp9lwlQfFIeljjxGFbdaSaFohcqSjRYHZO+peT
fkCzlK8J4ifAHqg8lCSS
=HX4B
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 02 Jul 2013 07:43:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 08:20:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.